/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import com.HotelServices.model.dto.impl.RecepciosDAOImpl;
import com.HotelServices.model.dto.impl.VendegSzoba;
import java.io.*;
import java.net.*;

import java.util.LinkedList;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Sensei
 */
public class RecepciosServlet extends HttpServlet {
   
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            if (request.getParameter("Reg") != null && request.getParameter("Reg").equals("Regisztracio")) {
                if (request.getParameter("usernev").length() >= 5 && request.getParameter("jelszo").length() >= 5 && request.getParameter("jelszo_u").length() >= 5 && request.getParameter("nev").length() > 0 && request.getParameter("iranyitoszam").length() > 0 && request.getParameter("cim").length() > 0 && request.getParameter("telefonszam").length() > 0 && request.getParameter("szobaszam").length() > 0 && request.getParameter("napok").length() > 0 ) {
                    boolean i = new RecepciosDAOImpl().ujVendeg(request.getParameter("usernev"), request.getParameter("jelszo"), request.getParameter("jelszo_u"), request.getParameter("nev"), Integer.parseInt(request.getParameter("iranyitoszam")), request.getParameter("cim"), request.getParameter("telefonszam"),Integer.parseInt(request.getParameter("szobaszam")),Integer.parseInt(request.getParameter("napok")));
//                    System.out.println(i);
                    if (i) {
                        response.sendRedirect("siker01.jsp");
                    } else {
                        response.sendRedirect("hiba01.jsp");
                    }
                } else {
                    response.sendRedirect("hiba01.jsp");
                }
            }
            
            if (request.getParameter("takaritas") != null && request.getParameter("takaritas").equals("Igenyel")) {
                if (request.getParameter("felhasznalonev").length() > 0 && request.getParameter("szobaszam").length() > 0 && request.getParameter("textarea").length() > 0) {
                    boolean seged = new RecepciosDAOImpl().takaritasRegisztracio(request.getParameter("felhasznalonev"),Integer.parseInt(request.getParameter("szobaszam")), request.getParameter("textarea"));
                    if (seged == true) {
                        response.sendRedirect("siker02.jsp");
                    } else {
                        response.sendRedirect("hiba02.jsp");
                    }
                }
            }
            if (request.getParameter("lista") != null && request.getParameter("lista").equals("Listaz")) {
                LinkedList<VendegSzoba> ll = new RecepciosDAOImpl().vendegek();
                request.getSession().setAttribute("vendegek_szobak", ll);
                response.sendRedirect("recepcios_vendeg_torlese.jsp");
            }
            
        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
